Bug 1032609 - redundant content
redundant content
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: mmurray
MRG Quality Engineering
Depends On: 1025757
  Show dependency treegraph
Reported: 2013-11-20 08:17 EST by Petr Matousek
Modified: 2015-08-09 21:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1025757
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-20 08:17:16 EST
+++ This bug was initially created as a clone of Bug #1025757 +++

Description of problem:

1.) In the chapters below the hello world examples are listed for supported client's languages:
3.1.5. Perl "Hello World" Program Listing
3.2.5. Python "Hello World" Program Listing
3.3.7. .NET C# "Hello World" Program Listing C++ "Hello World" Program Listing

The same examples are listed again in the following chapter (for all the supported languages)
3.7.1. Red Hat Enterprise Messaging "Hello World"

I believe this redundant content is not necessary and I suggest to remove the above mentioned examples and keep only the - 3.7.1. Red Hat Enterprise Messaging "Hello World" section

2.) The same content is listed for Message groups in the MPR and the MCIG.

6.8. Message Groups (MPR)
4.7. Message Groups (MCIG)

As above, I believe that it's enough to document this either in MPR(preferably) or in MCIG.

Version-Release number of selected component (if applicable):
Messaging Programming Reference - Revision 0.0.0-9

How reproducible:

Steps to Reproduce:

Actual results:
redundant content

Expected results:
duplicates removed

Additional info:

--- Additional comment from Joshua Wulf on 2013-11-19 00:59:34 EST ---

Removed: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/3/html/Messaging_Programming_Reference/index.html

--- Additional comment from Petr Matousek on 2013-11-20 08:15:53 EST ---

1.) redundant Perl, Python, .NET and C++ examples were removed as expected, but now we end with situation that we have all the above mentioned hello world examples in chapter "3.7. Hello World" and the java hello world example in the "3.5.4. Java JMS "Hello World" Program Listing".

I believe it would make sense to consolidate also the java example to the chapter 3.7 and remove the chapter 3.5.4.

2.) The message groups redundant content was removed from MPR and remained in MCIG.
Again, I believe that placing the message groups description to MPR is much more appropriate than to MCIG. The message groups functionality is not related to qpidd installation/configuration. What is your opinion?
If you'd like I may create a new bugzilla for MCIG for this issue.

I'm also cloning this bz for MRG2.x

Note You need to log in before you can comment on or make changes to this bug.